#!/bin/bash

#   Copyright (C) 2016-2018 Ludwig Schneider
#
# This file is part of SOMA.
#
# SOMA is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# SOMA is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with SOMA.  If not, see <http://www.gnu.org/licenses/>.

@CMAKE_CURRENT_BINARY_DIR@/../python_src/ConfGen.py -i coord.xml
value=$?

if [ ! $value -eq 0 ];then
    exit -1
fi

if [ ! -f coord.h5 ]; then
    exit 2
fi

if [ ! -f coord_ana.h5 ]; then
    exit 2
fi

@CMAKE_CURRENT_BINARY_DIR@/../python_src/ConfGen.py -i coord.xml -o la.h5 --no-ana-output
value=$?

if [ ! $value -eq 0 ];then
    exit -1
fi

if [ ! -f la.h5 ]; then
    exit 2
fi

if [ -f la_ana.h5 ]; then
    exit 2
fi

@CMAKE_CURRENT_BINARY_DIR@/../python_src/ConfGen.py -i coord.xml --ana-filename ana.h5 --update --dot-graph
value=$?

if [ ! $value -eq 0 ];then
    exit -1
fi

if [ ! -f ana.h5 ]; then
    exit 2
fi


@CMAKE_CURRENT_BINARY_DIR@/../python_src/ConfGen.py -i complex.xml

if [ ! $? -eq 0 ];then
    exit -1
fi

if [ ! -f complex_ana.h5 ]; then
    exit 2
fi
if [ ! -f complex.h5 ]; then
    exit 2
fi

@CMAKE_CURRENT_BINARY_DIR@/../python_src/ConfGen.py -i complex.xml --area51-no-pbc --external-field-no-pbc

if [ ! $? -eq 0 ];then
    exit -1
fi

if [ ! -f complex_ana.h5 ]; then
    exit 2
fi
if [ ! -f complex.h5 ]; then
    exit 2
fi
